#include "LastSeenOpenClosed.h"
#include <SafeString.h>
/*
   LastSeenOpenClosed.cpp
   by Matthew Ford,  2021/12/06
   (c)2021 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.

*/


LastSeenOpenClosed::LastSeenOpenClosed(const char* name) {
  deviceName[0] = '\0'; // memory not initialized by new
  windowOpen = false;
  lastTimeScanned = 0; // not seen yet
  cSFA(sfDeviceName, deviceName);
  sfDeviceName = name;
}


const char* LastSeenOpenClosed::getDeviceName() {
  return (const char*)deviceName;
}

bool LastSeenOpenClosed::getIsOpen() {
  return windowOpen;
}

void LastSeenOpenClosed::setIsOpen(bool openFlag) {
  windowOpen = openFlag;
}
void LastSeenOpenClosed::updateLastSeen(uint32_t t) {
  lastTimeScanned = t;
}
uint32_t LastSeenOpenClosed::getLastSeen() {
  return lastTimeScanned;
}
