#ifndef LAST_SEEN_OPEN_CLOSED_H
#define LAST_SEEN_OPEN_CLOSED_H
#include <Arduino.h> 
// for uint32_t
/*
   LastSeen.h
   by Matthew Ford,  2021/12/06
   (c)2021 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.

*/

// LastSeenOpenClosed.h

class LastSeenOpenClosed {
  public:
    LastSeenOpenClosed(const char*name);
    void setIsOpen(bool openFlag);
    void updateLastSeen(uint32_t t);
    uint32_t getLastSeen();
    const char* getDeviceName();
    bool getIsOpen(); // true if open
  private:
    char deviceName[33]; // max length 32 + null
    // these two are updated by the scanner and accessed by the web and tcp connection
    volatile bool windowOpen;
    volatile uint32_t lastTimeScanned; // when was this last seen
};


#endif
